Terminais
Listar terminais
Lista os terminais POS da loja, com estado de bloqueio e telemetria.
GET
/manager/terminals/getAuthorization
bearerAuth gatewayKey AuthorizationBearer <token>
Token JWT no formato: Bearer {token}
In: header
ocp-apim-subscription-key<token>
Gateway Token recebido na criacao da loja.
In: header
Response Body
application/json
application/json
application/json
curl -X GET "https://api.smarttef.mobi/manager/terminals/get"[
{
"terminal_id": 512,
"cnpj": "99999999999999",
"controle_versao": "2.14.0",
"active": true,
"blocked": false,
"blocked_at": null,
"serial_pos": "1490063579",
"conn_type": "WIFI",
"batt_level": "87",
"charging": false,
"store_id": 1,
"create_at": "2026-01-12T10:00:00.000Z",
"update_at": "2026-02-09T11:58:00.000Z",
"nickname": "Caixa 1",
"location": {
"lat": "-27.5954",
"long": "-48.5480"
}
}
]{
"status": 401,
"data": {
"message": [
"Unauthorized",
"Token não e do tipo loja, verifique se o token está correto.",
"token not corresponds",
"Store not found",
"Store is not active or is blocked",
"Store is blocked. <cache>"
],
"timestamp": "2026-02-09T12:00:00.000Z",
"path": "/manager/terminals/get"
}
}{
"status": 500,
"data": {
"message": "Internal Server Error",
"timestamp": "2026-02-09T12:00:00.000Z",
"path": "/manager/terminals/get"
}
}